Eclipse Rich Ajax Platform

## org.eclipse.rwt.lifecycle
Class PhaseId

    java.lang.Object
      org.eclipse.rwt.lifecycle.PhaseId

All Implemented Interfaces:
  java.lang.Comparable

    public class PhaseId

extends java.lang.Object
implements java.lang.Comparable

A type-safe enumeration that represents all standard life cycle phases. The instances can be used to refer to a phase in implementations of `PhaseListener`.

Since:
  1.0

Field Summary
`static PhaseId` `ANY` The PhaseId `ANY` is used by the `PhaseListener` to signal interest in all phases.
`static PhaseId` `PREPARE_UI_ROOT` The PhaseId `PREPARE_UI_ROOT` is used by the `PhaseListener` to signal interest in the Prepare UI Root phase.
`static PhaseId` `PROCESS_ACTION` The PhaseId `PROCESS_ACTION` is used by the `PhaseListener` to signal interest in the Process Action phase.
`static PhaseId` `READ_DATA` The PhaseId `READ_DATA` is used by the `PhaseListener` to signal interest in the Read Data phase.
`static PhaseId` `RENDER` The PhaseId `RENDER` is used by the `PhaseListener` to signal interest in the Render phase.
`static java.util.List` `VALUES` A list containing the instances of this enumeration.

Method Summary
`int` `compareTo(java.lang.Object toCompare)`
`int` `getOrdinal()` Returns the ordinal number that is used for comparison of PhaseIds.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY

    public static final PhaseId ANY

  The PhaseId `ANY` is used by the `PhaseListener` to signal interest in all phases.

### PREPARE_UI_ROOT

    public static final PhaseId PREPARE_UI_ROOT

  The PhaseId `PREPARE_UI_ROOT` is used by the `PhaseListener` to signal interest in the Prepare UI Root phase.

### READ_DATA

    public static final PhaseId READ_DATA

  The PhaseId `READ_DATA` is used by the `PhaseListener` to signal interest in the Read Data phase.

### PROCESS_ACTION

    public static final PhaseId PROCESS_ACTION

  The PhaseId `PROCESS_ACTION` is used by the `PhaseListener` to signal interest in the Process Action phase.

### RENDER

    public static final PhaseId RENDER

  The PhaseId `RENDER` is used by the `PhaseListener` to signal interest in the Render phase.

### VALUES

    public static final java.util.List VALUES

  A list containing the instances of this enumeration.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object toCompare)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getOrdinal

    public int getOrdinal()

  Returns the ordinal number that is used for comparison of PhaseIds.

  Returns:
    the ordinal number

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.